package org.codehaus.plexus.lifecycle;




/**
 *
 *
 * @author <a href="mailto:jason@maven.org">Jason van Zyl</a>
 *
 * @version $Id: LifecycleHandlerManager.java 1750 2005-04-19 07:45:02Z brett $
 */
public interface LifecycleHandlerManager
{
    void initialize();

    LifecycleHandler getDefaultLifecycleHandler()
        throws UndefinedLifecycleHandlerException;

    LifecycleHandler getLifecycleHandler( String id )
        throws UndefinedLifecycleHandlerException;
}
